<!DOCTYPE html>

 <head>
    <link type="text/css" rel="stylesheet" href="/stylesheets/main.css" />
    <meta http-equiv="content-type" content="text/html; charset=UTF-8" /> 
    <title>European News</title> 
    <script src="http://maps.google.com/maps/api/js?sensor=false"></script>
    <script src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.10.1.min.js"></script>
</head> 
<body>
    
             
<body style="font-family: 'Open Sans', sans-serif;">

<div class="content">    

<div id="header">
<h1>European News</h1>
</div>

<div class="links">
    <ul>
        <li><a href="/sign?guestbook_name=England"</a>England</li>
        <li><a href="/sign?guestbook_name=France"</a>France</li>
        <li><a href="/sign?guestbook_name=Spain"</a>Spain</li>
        <li><a href="/sign?guestbook_name=Portugal"</a>Portugal</li>
        <li><a href="/sign?guestbook_name=Turkey"</a>Turkey</li>
        <li><a href="/sign?guestbook_name=Russia"</a>Russia</li>
        <li><a href="/sign?guestbook_name=Greece"</a>Greece</li>
        <li><a href="/sign?guestbook_name=Iceland"</a>Iceland</li>
        <li><a href="/sign?guestbook_name=Poland"</a>Poland</li>
        <li><a href="/sign?guestbook_name=Germany"</a>Germany</li>
    </ul>
</div>
    
<div style="width: 40%; float: left;">
<div id="section">
<h1>{{guestbook_name}}</h1>
<p style="width:100%; height: 450px;">
<script src="http://l.yimg.com/rt/pps/listbadge_1.8.js">{"pipe_id":"7c850bc8daa658606d9a3f27d7ea75e5","_btype":"list","pipe_params":{"searchInput":"{{guestbook_name}}"}}</script>
</p>
</div>
</div>

<div style="width: 60%; float: left;">
<div id="map" style="width: 100%; height: 450px; margin-left: 10%;"></div>    
</div>
     
</div>
    


</body> 

    

  <script type="text/javascript">
    // Define your locations: HTML content for the info window, latitude, longitude
    var locations = [
      ['<h4>England</h4>', 52.355518, -1.174320],
      ['<h4>France</h4>', 46.227638, 2.213749],
      ['<h4>Spain</h4>', 40.416751, -3.703864],
      ['<h4>Portugal</h4>', 39.399872, -8.224454],
      ['<h4>Turkey</h4>', 38.963745, 35.243322],
      ['<h4>Russia</h4>', 56.980911, 44.472656],
      ['<h4>Greece</h4>', 39.074208, 21.824312],
      ['<h4>Iceland</h4>', 64.963051, -19.020835],
      ['<h4>Poland</h4>', 51.919438, 19.145136],
      ['<h4>Germany</h4>', 51.165691, 10.451526]
    ];
    
    // Setup the different icons and shadows
    var iconURLPrefix = 'http://maps.google.com/mapfiles/ms/icons/';
    
    var icons = [
      iconURLPrefix + 'red-dot.png',
      iconURLPrefix + 'green-dot.png',
      iconURLPrefix + 'blue-dot.png',
      iconURLPrefix + 'orange-dot.png',
      iconURLPrefix + 'purple-dot.png',
      iconURLPrefix + 'pink-dot.png',      
      iconURLPrefix + 'yellow-dot.png'
    ]
    var icons_length = icons.length;
    
    
    var shadow = {
      anchor: new google.maps.Point(15,33),
      url: iconURLPrefix + 'msmarker.shadow.png'
    };

    var map = new google.maps.Map(document.getElementById('map'), {
      zoom: 4,
      center: new google.maps.LatLng(-37.92, 151.25),
      mapTypeId: google.maps.MapTypeId.ROADMAP,
      mapTypeControl: false,
      streetViewControl: false,
      panControl: false,
      zoomControlOptions: {
         position: google.maps.ControlPosition.LEFT_BOTTOM
      }
    });

    var infowindow = new google.maps.InfoWindow({
      maxWidth: 180
    });

    var marker;
    var markers = new Array();
    
    var iconCounter = 0;
    
    // Add the markers and infowindows to the map
    for (var i = 0; i < locations.length; i++) {  
      marker = new google.maps.Marker({
        position: new google.maps.LatLng(locations[i][1], locations[i][2]),
        map: map,
        icon : icons[iconCounter],
        shadow: shadow
      });

      markers.push(marker);

      google.maps.event.addListener(marker, 'click', (function(marker, i) {
        return function() {
          infowindow.setContent(locations[i][0]);
          infowindow.open(map, marker);
        }
      })(marker, i));
      
      iconCounter++;
      // We only have a limited number of possible icon colors, so we may have to restart the counter
      if(iconCounter >= icons_length){
      	iconCounter = 0;
      }
    }

    function AutoCenter() {
      //  Create a new viewpoint bound
      var bounds = new google.maps.LatLngBounds();
      //  Go through each...
      $.each(markers, function (index, marker) {
        bounds.extend(marker.position);
      });
      //  Fit these bounds to the map
      map.fitBounds(bounds);
    }
    AutoCenter();
  </script>


    
</body>
    
    
<footer style="width:100%; float:left; text-align: center; text-shadow: -1px -1px 1px #fff, 1px 1px 1px #000; color: #000; opacity: 0.5; font-size: 0.8em;">
    <p>Created by Bruce Helsey and Nanda McCarthy</p>
    
    
<!--
        <script>
    function country(name) (
        document.write("I want to live in" + " " + name);
    )
    country("England");
    </script>  
-->
    
</footer>
    
</html>